problema al actualizar Debian 9

Foros

usando el comando:

sudo apt install -f

ocurre el siguiente error

sudo apt-get install -f
[sudo] password for backshl: 
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
0 actualizados, 0 nuevos se instalarán, 0 para eliminar y 6 no actualizados.
4 no instalados del todo o eliminados.
Se utilizarán 0 B de espacio de disco adicional después de esta operación.
Procesando disparadores para libc-bin (2.27-3) ...
Procesando disparadores para systemd (238-5) ...
Procesando disparadores para man-db (2.8.3-2) ...
Configurando libevent-2.0-5:i386 (2.0.21-stable-3) ...
Configurando rsyslog (8.35.0-1) ...
Job for rsyslog.service failed because the control process exited with error code.
See "systemctl status rsyslog.service" and "journalctl -xe" for details.
invoke-rc.d: initscript rsyslog, action "restart" failed.
● rsyslog.service - System Logging Service
   Loaded: loaded (/lib/systemd/system/rsyslog.service; enabled; vendor preset: enabled)
   Active: activating (auto-restart) (Result: exit-code) since Wed 2018-06-13 16:27:13 -04; 31ms ago
     Docs: man:rsyslogd(8)
           http://www.rsyslog.com/doc/
  Process: 30575 ExecStart=/usr/sbin/rsyslogd -n -iNONE (code=exited, status=1/FAILURE)
 Main PID: 30575 (code=exited, status=1/FAILURE)

jun 13 16:27:13 back systemd[1]: rsyslog.service: Failed with result 'exit-code'.
jun 13 16:27:13 back systemd[1]: Failed to start System Logging Service.
dpkg: error al procesar el paquete rsyslog (--configure):
 installed rsyslog package post-installation script subprocess returned error exit status 1
Configurando tor (0.3.3.7-1~d90.stretch+1) ...
Configurando tor-geoipdb (0.3.3.7-1~d90.stretch+1) ...
Procesando disparadores para libc-bin (2.27-3) ...
Se encontraron errores al procesar:
 rsyslog
E: Sub-process /usr/bin/dpkg returned an error code (1)

Nota ya habia usado el comando:

apt update

apt upgrade

Arrojando el siguiente error:

Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
Calculando la actualización... Hecho
Los siguientes paquetes se han retenido:
  clamav curl libafflib0v5 ruby-ethon vlc-plugin-video-output
Se actualizarán los siguientes paquetes:
  gstreamer1.0-plugins-good
1 actualizados, 0 nuevos se instalarán, 0 para eliminar y 5 no actualizados.
1 no instalados del todo o eliminados.
Se necesita descargar 0 B/2.955 kB de archivos.
Se utilizarán 475 kB de espacio de disco adicional después de esta operación.
¿Desea continuar? [S/n] s
(Leyendo la base de datos ... 234252 ficheros o directorios instalados actualmente.)
Preparando para desempaquetar .../gstreamer1.0-plugins-good_1.14.1-1_i386.deb ...
Desempaquetando gstreamer1.0-plugins-good:i386 (1.14.1-1) sobre (1.10.4-1) ...
dpkg: error al procesar el archivo /var/cache/apt/archives/gstreamer1.0-plugins-good_1.14.1-1_i386.deb (--unpack):
 intentando sobreescribir `/usr/lib/i386-linux-gnu/gstreamer-1.0/libgstlame.so', que está también en el paquete gstreamer1.0-plugins-ugly:i386 1:1.10.4-dmo1
dpkg-deb: error: copiado subprocess was killed by signal (Tubería rota)
Se encontraron errores al procesar:
 /var/cache/apt/archives/gstreamer1.0-plugins-good_1.14.1-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

 

Acerca del autor

Pentesting. Estudiante de ingeniería en sistemas y mantenimiento de sistemas informáticos. UNA